/* google fonts */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;500;600;700;800;900&display=swap');

/* Global css starts here  */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}
:root {
    --container-width-lg:70%;
    --container-width-md:80%;
    --container-width-sm:94%;
}
a{
    text-decoration: none;
    position: relative;
}

img {
    width: 100%;
    display: block;
    object-fit: cover;
}
ul {
    list-style: none;
}
.ctn {
    display: inline-block;
    background: white;
    color: black;
    padding: 10rem 2rem;
    font-weight: 500;
    transition: all;
}
button {
    border: none;
}
.ctn:hover {
    background: transparent;
    color: white;
    border-color: black;
}
.nav__button {
    display: none;
}
.btn {
    position: relative;
    padding: 8px 15px;
    border-radius: 30px;
    color: white;
    display: inline-block;
    color: black;
    border: 2px solid #555555;
    transition:all 0.2s ease;
    /* font-size: 1.5vmin; */
}
.btn:hover {
    background: black;
    border: none;
    color: white;
}
.container {
    width:var(--container-width-lg) ;
    margin: 0 auto;
}
section {
    padding: 1rem 0;
}
section h2 {
    text-align: center;
    margin-bottom: 3rem;
}

/* Global css starts here  */

/* change navbar style on scroll */
.window-scroll {
    background: whitesmoke;
    box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2);
}

/* logo */
.logo{
    cursor: pointer;
}

/* Navbar Starts here */

nav {
    background: transparent;
    width: 100vw;
    height: 5rem;
    position: fixed;
    top: 0;
    z-index: 11;
    box-shadow: 0 1rem 1rem rgba(0, 0, 0, 0.1);

}
.nav_container {
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.nav__menu {
    display: flex;
    align-items: center;
    gap: 4rem;   
}


.nav__menu li a {
    color: black;
    transition: all 400ms ease;
    display: flex;
    align-items: center;
}

.nav__menu li a:hover {
    color: blue;
}
.nav__menu li a:after {
    content: "";
    position: absolute;
    background-color: black;
    height: 2px;
    width: 0;
    bottom: -1px;
    align-items: center;
    transition: 0.3s;
}
.nav__menu li a:hover:after {
    width: 100%;
}

/* Navbar Ends here */

/* social icons starts here */

.home_social{
    display: flex;
    flex-direction: row;
    margin-bottom: 2rem;
    gap: 1rem;
}
.home_social-icon{
    width: max-content;
    font-size: 1.5rem;
    color: black;
}
.home_social-icon:hover{
    color: #4070f4;
}


/* social icons ends here  */

/* Hero section Starts Here */
header {
    position: relative;
    top: 5rem;
    overflow: hidden;
    height: 50vh;
    margin-bottom: 2rem;
}
.header__container {
    display: grid;
    grid-template-columns: 3fr 1fr;
    align-items: center;
    gap: 20rem;
    height: 100%;
}
.header__left p {
    margin: 1rem 0 2.4rem;
}
.hero-image {
    max-width: 100%;
    height: 300px;
}
/* Hero section Ends Here */




/* Project section starts here*/
.project h1 {
    line-height: 1;
    margin-bottom: 3rem;
}

.projects__container {
    display: grid;
    grid-template-columns: 3fr 3fr;
    gap: 4rem;
    margin-bottom: 5rem;
}
.projects__container_right {
    display: grid;
    grid-template-columns: 60% 40%;
    gap: 6rem;
    margin-bottom: 5rem;
}
.projects__right p {
    margin: 1rem 0 2rem;
}

.projects__left img {
    box-shadow: rgba(0, 0, 0, 0.16) 0px 10px 36px 0px, rgba(0, 0, 0, 0.06) 0px 0px 0px 1px;
}


/* Project section Ends here*/

/* view more button starts here*/
.view-more {
    display: flex;
    justify-content: center;
    margin: 10px auto;
}
/* view more button ends here */

/* Contact me starts here */
.contact {
    margin-bottom: 2rem;
}
.contact__container {
    text-align: center;
}


.footer__section {
    bottom: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center !important;
    height: 7vh;
    text-align: center;
    color: white;
    background: black;
}


/* ================== MEDIA QUERIES  */


@media screen and (max-width:1024px) {
    .container {
        width: var(--container-width-md);
    }
    h1 {
        font-size: 2.2rem;
    }
    h2 {
        font-size: 1.7rem;
    }
    h3 {
        font-size: 1.4rem;
    }
    p{
        font-size: 0.5rem;
    }
    h5 {
        font-size: 0.2rem;
    }
    /* navbar */
    .nav__button {
        display: inline-block;
        background: transparent;
        font-size: 1.8rem;
        color: white;
        cursor: pointer;
    }
    .nav__button #close-menu-ctn {
        display: none;
    }
    .nav__menu {
        position: fixed;
        top: 5rem;
        right: 5%;
        height: fit-content;
        width: 18rem;
        flex-direction: column;
        gap: 0;
        display: none;
    }
    .nav__menu.show {
        display: flex;
    }
    .nav__menu li {
        width: 100%;
        height: 5.8rem;
        animation: animateNavItems 400ms linear forwards;
        transform-origin: top right;
        opacity: 0;
    }
  
    .nav__menu li:nth-child(2) {
        animation-delay: 200ms;
    }
    .nav__menu li:nth-child(3) {
        animation-delay: 300ms;
    }
    .nav__menu li:nth-child(4) {
        animation-delay: 400ms;
    }
    @keyframes animateNavItems {
        0% {
            transform: rotatez(-90deg) rotateX(90deg) scale(0.1);
        }
        100% {
            transform: rotatez(0) rotateX(0) scale(1);
            opacity: 1;
        }
    }
    .nav__menu li a {
        background: rgb(228, 228, 228);
        box-shadow: -4rem 6rem 10rem rgba(0, 0, 0, 0.6);
        width: 100%;
        height: 100%;
        display: grid;
        place-items: center;
    }
    .nav__menu li a:hover {
        background: white;
        color: blue;
    }
    
    /* header */
    header {
        height: 52vh;
        margin-bottom: 4rem;
    }
    .header__container {
        gap: 0;
        padding-bottom: 3rem;
    }
    p{
        font-size: 1rem;
    }
    /* projects */
}

/* Media phones */
@media screen and  (max-width:600px){
    .container {
        width: var(--container-width-sm);
    }
    /* navbar */
    .nav__menu {
        right: 3%;
    }

    /* header */
    header {
        height: 100vh;
    }
    .header__container {
        grid-template-columns: 1fr;
        text-align: center;
        margin-top: 0;
    }
    .header__left p {
        margin-bottom: 1.3rem;
        font-size: 1rem;
    }
    .btn {
        padding: 8px 15px;
        background: black;
        border-radius: 30px;
        color: white;
    }
    /* socials */
    .home_social{
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        margin-bottom: 2rem;
        gap: 1rem;
    }
    /* projects */
    .projects__container {
        display: grid;
        grid-template-columns: 1fr;
        gap: 1rem;
        margin-bottom: 2rem;
    }
    .projects__container_right {
        display: grid;
        grid-template-columns: 100%;
        gap: 4rem;
        margin-bottom: 2rem;
    }
    .projects__container_right .projects__right {
        order: 1;
    }
    p{
        font-size: 1rem;
    }
    
}

